Package weka.associations

# Class SingleAssociatorEnhancer

java.lang.Object
weka.associations.AbstractAssociator
weka.associations.SingleAssociatorEnhancer

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Associator`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `CommandlineRunnable`, `OptionHandler`, `RevisionHandler`

Direct Known Subclasses:
  `FilteredAssociator`

public abstract class SingleAssociatorEnhancer extends AbstractAssociator implements OptionHandler
Abstract utility class for handling settings common to meta associators that use a single base associator.

Version:
  $Revision: 15520 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz), FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleAssociatorEnhancer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `associatorTipText()`
  Returns the tip text for this property
  `Associator`
  `getAssociator()`
  Get the associator used as the base associator.
  `Capabilities`
  `getCapabilities()`
  Returns default capabilities of the base associator.
  `String[]`
  `getOptions()`
  Gets the current settings of the associator.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `void`
  `setAssociator(Associator value)`
  Set the base associator.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.

  ### Methods inherited from class weka.associations.AbstractAssociator

  `doNotCheckCapabilitiesTipText, forName, getDoNotCheckCapabilities, getRevision, makeCopies, makeCopy, postExecution, preExecution, run, runAssociator, setDoNotCheckCapabilities`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface weka.associations.Associator

  `buildAssociations`

- ## Constructor Details

  - ### SingleAssociatorEnhancer

    public SingleAssociatorEnhancer()

- ## Method Details

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Overrides:
      `listOptions` in class `AbstractAssociator`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options. Valid options are:

    -W classname
    Specify the full class name of the base associator.

    Options after -- are passed to the designated associator.

    Specified by:
      `setOptions` in interface `OptionHandler`
    Overrides:
      `setOptions` in class `AbstractAssociator`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the associator.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Overrides:
      `getOptions` in class `AbstractAssociator`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### associatorTipText

    public String associatorTipText()
    Returns the tip text for this property
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### setAssociator

    public void setAssociator(Associator value)
    Set the base associator.
    Parameters:
      `value` - the associator to use.

  - ### getAssociator

    public Associator getAssociator()
    Get the associator used as the base associator.
    Returns:
      the currently used associator

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns default capabilities of the base associator.
    Specified by:
      `getCapabilities` in interface `Associator`
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Overrides:
      `getCapabilities` in class `AbstractAssociator`
    Returns:
      the capabilities of the base associator
    See Also:
      - `Capabilities`